resource "hcloud_placement_group" "app_spread" {
  name = "${local.name_prefix}-app-spread"
  type = "spread"

  labels = {
    environment = local.environment
    role        = "app"
  }
}

resource "hcloud_placement_group" "db_spread" {
  name = "${local.name_prefix}-db-spread"
  type = "spread"

  labels = {
    environment = local.environment
    role        = "db"
  }
}
